function e = equity(prev_e, r_f, Q, prev_Q, R, I, epsilon)
% EQUITY Equity calculation based on current and previous state of the
% portfolio.
% 
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%
e = prev_e + ...
    prev_e * r_f + ...
    prev_Q' * R - ...
    sum(prev_Q * r_f) - ...
    abs(Q - prev_Q)' * I * epsilon;