function R = get_return(P, type)
% GET_RETURN Calculates return for a given price process
% 
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%
if nargin == 1
   type = 'not_same_size'; 
end
if size(P,1) < size(P, 2)
    P = P';
end
Ns = size(P,2); % number of assets
if strcmp(type, 'same_size')
    R = [zeros(1,Ns); (P(2:end,:) ./ P(1:end-1,:)) - 1];
else
    R = (P(2:end,:) ./ P(1:end-1,:)) - 1;
end