function Q = invest(prev_Q, e, delta, Signal, R)
% INVEST Investment allocation vector calculator
%
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%
N = length(prev_Q);
Q = zeros(size(prev_Q));
for i=1:N
   I = Signal(i) ~= NONE;
   if I && prev_Q(i) == 0
       if Signal(i) == BUY
           Q(i) = delta * e;
       elseif Signal(i) == SHORT_SELL
           Q(i) = -delta * e;
       end 
   elseif I && abs(prev_Q(i)) > 0
       Q(i) = 0;
   else
       Q(i) = prev_Q(i) * (1 + R(i));
   end
end