function maxdd = max_drawdown(e)
% MAX_DRAWDOWN Calculates the maximum drawdown of a given portfolio equity
%
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%
maxdd = 0;
peak = 0;
N = length(e);
for n = 1:N
    if e(n) > peak
        peak = e(n);
    end
    if (peak - e(n)) > maxdd
        maxdd = peak - e(n);
    end
end