% Example 3.1
% 
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%

clc; clear all; close all;

% Define price series
p1 = [12.4000   12.8000   12.3000   12.1000   12.5000];
p2 = [45.3000   45.9000   45.1000   44.7000   45.2000];

% Calculate returns
r1 = get_return(p1)
r2 = get_return(p2)

% Calculate expected returns
mu1 = mean(r1);
mu1_bps = to_bps(mu1)
mu2 = mean(r2);
mu2_bps = to_bps(mu2)

% Calculate volatilities
sigma1 = std(r1);
sigma1_bps =  to_bps(sigma1)
sigma2 = std(r2);
sigma2_bps =  to_bps(sigma2)

% Calculate covariance and cross-correlation
cov12 = mean(r1 .* r2) - mu1 * mu2
rho12 = cov12 / (sigma1 * sigma2)

% Form the matrices
MU = [mu1 mu2]'
SIGMA = diag([sigma1, sigma2])
P = [1 rho12; rho12 1]
C = SIGMA' * P * SIGMA
C_alternative = [sigma1^2 cov12; cov12 sigma2^2]
